package com.pj.tb_order_people_confirm;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_order_people_confirm -- 便民确认订单监听表
 * @author yzs 
 */
@RestController
@RequestMapping("/TbOrderPeopleConfirm/")
public class TbOrderPeopleConfirmController {

	/** 底层 Service 对象 */
	@Autowired
	TbOrderPeopleConfirmService tbOrderPeopleConfirmService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbOrderPeopleConfirm.PERMISSION_CODE_ADD)
	public AjaxJson add(TbOrderPeopleConfirm t){
		tbOrderPeopleConfirmService.add(t);
		t = tbOrderPeopleConfirmService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbOrderPeopleConfirm.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbOrderPeopleConfirmService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbOrderPeopleConfirm.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbOrderPeopleConfirm.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbOrderPeopleConfirm.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbOrderPeopleConfirm t){
		tbOrderPeopleConfirmService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbOrderPeopleConfirm.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		TbOrderPeopleConfirm t = tbOrderPeopleConfirmService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbOrderPeopleConfirm.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbOrderPeopleConfirm> list = tbOrderPeopleConfirmService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
